BizKitHub
DocsAPI ReferenceOrder/bff/order/document-send
postOrderAdmin BFF

/bff/order/document-send

E-mails the document PDF (document-send template) to the order customer or a chosen contact. Renders the PDF first when it is missing.

OrderpostBffOrderDocument-send

Parameters

JSON body

Request body

application/json
orderHashstringRequired

Unique order hash identifier.

documentIdstringRequired

External id of the document (shop__invoice.external_id).

contactIdstringOptional

External contact id of the recipient. Default: the order customer.

Response schema

1 status code documented

200Success
successbooleanRequired
emailstringRequired
queuedbooleanRequired

Response example

application/json
{
  "success": false,
  "email": "example_email",
  "queued": false
}

Request example

POST /bff/order/document-send

post
curl -X POST "https://api.bizkithub.com/bff/order/document-send" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "orderHash": "example_orderHash",
  "documentId": "example_documentId",
  "contactId": "example_contactId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key